<?php
/*
 * Available Hooks:
 *
 * 1. dashboard_links: Links that appear on the dashboard.
 * 2. action_links: Links that appear in the action section of the application.
 * 3. topmenu_links: Links that are displayed in the top menu navigation.
 *
 * Notes:
 * - The `class_file` must match the name of the class it defines. For example,
 *   if your class is named `SimpleBlog`, the class file should be `SimpleBlog.php`.
 * - The module folder must also have the same name as the class. For instance,
 *   the folder structure should be `modules/SimpleBlog/SimpleBlog.php` (for the class).
 * - Ensure that the module's configuration and files are organized properly 
 *   to avoid autoloading issues.
 */

 return [
    'name' => 'Settings', 
    'class_file' => 'Settings.php', 
    'module_order' => 1, 

    'links' => [
        // Settings Link
        [
            'title' => 'Settings', 
            'class' => 'green', 
            'icon_class' => 'fas fa-list-alt', 
            'hook' => 'topmenu_links', 
            'access' => [1], 
            'module' => 'Settings', 
            'file' => 'manage_settings.php', 
            'visible' => true, 
            'order' => 1, 
        ],
    ]
];