<?php

// Load necessary classes and functions
require_once __DIR__ . '/simplify/autoload.php';
require_once __DIR__ . '/simplify/functions.php';
require_once __DIR__ . '/simplify/config.php';

// Load modules and register hooks
$modules = ModuleLoader::loadModules();
ModuleLoader::requiresModules(["Pages"]);

// Initialize the Pages class
$pages = new Pages();

// Fetch alias from GET parameter
$alias = isset($_GET['alias']) ? sanitizeInput(trim($_GET['alias'])) : null;

// Get page by alias
$page = null;
if ($alias) {
    $page = $pages->getPageByAlias($alias);
}

// Include header file for the page layout
include_once __DIR__ . '/header.php';

// Get messages for the current page (if any)
$messages = Message::get();
?>

<?php if ($page): ?>
    <!-- Page found and accessible -->
    <h1><?= sanitizeInput($page['title']); ?></h1>

    <?= $page['text']; ?>

<?php else: ?>
    <p class="error">
        <?= $pages::ERROR_MESSAGES['page_not_found']; ?>
    </p>
<?php endif; ?>

<?php
// Include footer file for the page layout
include_once __DIR__ . '/footer.php';
?>